- Qt 6.8
- Qt 3D
- QML Types
- Qt3D.Render (Deprecated)
- StencilOperation
- Qt 6.8.2 Reference Documentation

# StencilOperation QML Type

The StencilOperation type specifies stencil operation. More...

Import Statement: | `import Qt3D.Render 2.8`
In C++: | QStencilOperation
Inherits: | RenderState
Status: | Deprecated

- List of all members, including inherited members

## Properties

- back : StencilOperationArguments
- front : StencilOperationArguments

## Detailed Description

A StencilOperation type specifies the stencil operations for the front- and back-facing polygons. The stencil operation control what is done to fragment when the stencil and depth test pass or fail.

See also StencilTest.

## Property Documentation

back : StencilOperationArguments `[read-only]`

Holds the stencil operation arguments for back-facing polygons.

front : StencilOperationArguments `[read-only]`

Holds the stencil operation arguments for front-facing polygons.